# frozen_string_literal: true

require_relative "lib/pocobur/version"

Gem::Specification.new do |spec|
  spec.name          = "pocobur"
  spec.version       = Pocobur::VERSION
  spec.authors       = ["Zach Ahn"]
  spec.email         = ["engineering@zachahn.com"]

  spec.summary       = "Rubocop, but backwards"
  spec.description   = %(Starting with a "good" Ruby file, generate the a config)
  spec.homepage      = "https://github.com/zachahn/pocobur"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://github.com/zachahn/pocobur"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{\A(?:test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
end
